コンテンツにスキップ
Docs
Esc
↑↓移動↵開く⌘Jプレビュー

テスト購入を行う(サンドボックスのみ)

サンドボックス専用(それ以外は404)。必要なスコープ: products:write。本文なし。購入者はキーの所有者本人(サインイン用メールアドレス)で、リクエストでは指定できない。購入権が無ければテストカードで決済を確定して202(pending)。注文・購入権は本番と同じWebhookでできるため、購入権ができるまで同じ要求を打ち直す。処理中の決済があれば新たに決済しない。購入権が既にあれば決済せず200(completed)と、OTPなしで発行するワンタイムコード(handoff_code。有効60秒・1回きり)を返す。コードはログ・出力に出さない。

POST/products/{product_id}/test-purchase
認証
AuthorizationBearer トークン · header必須

管理画面または CLI の cozeni login で発行したクリエイターAPIキー。購入者認証には使わない。

パスパラメーター
product_idstring必須
最小長 1 · 最大長 200
レスポンス
200

購入権がある。入場の確認用のワンタイムコード(限定ページの商品のみ)と、商品の種類(access_type)・付与された設定値(metadata)を含む。

statusstring必須
許可される値:completed
handoff_codestring | null必須
expires_ininteger必須
access_typestring必須
許可される値:pagefeaturefile
metadataExternalFeatureFlagMetadata必須

機能フラグの設定値。50件まで。キーは1〜40字の英数字・_・-(proto は不可)。値は文字列(1〜500字)・数値・真偽値。URLやAPIキーなどの秘匿情報は入れない。

202

決済は済んだ(または処理中)。Webhook による購入権の付与を待つ。

statusstring必須
許可される値:pending
400

invalid_input。未知フィールド、無効なcursor・入力を含む。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
401

unauthorized。失効、期限切れ、環境違いを含む。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
403

insufficient_scope。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
404

not_found(サンドボックス以外)/ product_not_found(他人の商品・存在しない商品)。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
409

creator_not_ready(売上の受け取り先が未登録・販売者の情報が未承認など。blockers は GET /account の sales.blockers と同じ)/ product_archived / checkout_link_disabled / subscription_not_supported(サブスクの商品はテスト購入できない)。

いずれか:
ExternalSalesBlockedError
errorobject必須
プロパティを表示
codestring必須
許可される値:creator_not_ready
messagestring必須
request_idstring必須
blockersExternalSalesBlocker[]必須
プロパティを表示
ExternalSalesBlocker の配列
いずれか 1 つ:
object
codestring必須
許可される値:review_not_submittedreview_pendingstripe_not_connectedstripe_onboarding_incompletestripe_verification_pending
action_urlstring<uri>必須
object
codestring必須
許可される値:review_rejected
action_urlstring<uri>必須
rejectionobject必須
プロパティを表示
reason_codestring必須
許可される値:tokushoho_missing_contacttokushoho_unreachablewebsite_unreachabledescription_insufficientprohibited_contentother
notestring | null必須
ExternalError
errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
429

rate_limited。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
500

internal。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
502

stripe_error。Stripe の処理に失敗した。打ち直せる。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
503

unavailable。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
リクエスト
curl -X POST 'https://api.cozeni.net/external/v1/products/string/test-purchase' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
レスポンス
{
  "status": "completed",
  "handoff_code": "string",
  "expires_in": 0,
  "access_type": "page",
  "metadata": {
    "daily_messages": 100,
    "plan": "pro",
    "beta": true
  }
}

このページは役に立ちましたか?